Skip to main content
GET
Retrieve a network

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
network_id
string<uuid>
required

Network Id (FWS Network.Oid).

Required string length: 36
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

fields
string

Response fields separated by commas.

Maximum string length: 2048

Response

Network retrieved successfully.

id
string<uuid>

Network Id (FWS Network.Oid).

name
string | null

Network Name.

cidr
string | null

Network CIDR block.

gateway
string | null

Network gateway.

vlan
integer | null

Network VLAN Id.

organization_id
string | null

Associated Portal organization Id.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
public_ip
string | null

Related public IP address.

location_id
string<uuid> | null

Related location Id (FWS Location.Oid).